Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:54 2009

## Asterisk developer's documentation

# vm_state Struct Reference

## Data Fields

char | curbox [80]
char | curdir [PATH_MAX]
int | curmsg
int * | deleted
char | fn [PATH_MAX]
char | fn2 [PATH_MAX]
int * | heard
int | lastmsg
int | newmessages
int | oldmessages
int | repeats
int | starting
char | username [80]
char | vmbox [PATH_MAX]

## Detailed Description

Definition at line 243 of file app_voicemail.c.

## Field Documentation

char curbox[80]

Definition at line 244 of file app_voicemail.c.

Referenced by adsi_message(), adsi_status2(), close_mailbox(), open_mailbox(), vm_browse_messages_en(), vm_browse_messages_es(), vm_browse_messages_gr(), vm_browse_messages_it(), and vm_browse_messages_pt().

char curdir[PATH_MAX]

Definition at line 246 of file app_voicemail.c.

Referenced by advanced_options(), close_mailbox(), open_mailbox(), play_message(), and vm_execmain().

int curmsg

Definition at line 252 of file app_voicemail.c.

Referenced by adsi_delete(), adsi_message(), advanced_options(), close_mailbox(), play_message(), vm_execmain(), and vm_instructions().

int* deleted

Definition at line 250 of file app_voicemail.c.

Referenced by adsi_delete(), adsi_message(), close_mailbox(), vm_execmain(), and vm_instructions().

char fn[PATH_MAX]

Definition at line 248 of file app_voicemail.c.

Referenced by adsi_message(), advanced_options(), close_mailbox(), play_message(), vm_browse_messages_en(), vm_browse_messages_es(), vm_browse_messages_gr(), vm_browse_messages_it(), vm_browse_messages_pt(), and vm_execmain().

char fn2[PATH_MAX]

Definition at line 249 of file app_voicemail.c.

Referenced by advanced_options(), close_mailbox(), and play_message().

int* heard

Definition at line 251 of file app_voicemail.c.

Referenced by advanced_options(), close_mailbox(), play_message(), and vm_execmain().

int lastmsg

Definition at line 253 of file app_voicemail.c.

Referenced by adsi_delete(), adsi_message(), adsi_status(), adsi_status2(), close_mailbox(), open_mailbox(), play_message(), vm_browse_messages_en(), vm_browse_messages_es(), vm_browse_messages_gr(), vm_browse_messages_it(), vm_browse_messages_pt(), vm_execmain(), and vm_instructions().

int newmessages

Definition at line 254 of file app_voicemail.c.

Referenced by adsi_status(), vm_execmain(), vm_intro_cz(), vm_intro_de(), vm_intro_en(), vm_intro_es(), vm_intro_fr(), vm_intro_gr(), vm_intro_it(), vm_intro_nl(), vm_intro_no(), vm_intro_pt(), and vm_intro_se().

int oldmessages

Definition at line 255 of file app_voicemail.c.

Referenced by adsi_status(), vm_execmain(), vm_intro_cz(), vm_intro_de(), vm_intro_en(), vm_intro_es(), vm_intro_fr(), vm_intro_gr(), vm_intro_it(), vm_intro_nl(), vm_intro_no(), vm_intro_pt(), and vm_intro_se().

int repeats

Definition at line 257 of file app_voicemail.c.

Referenced by vm_execmain(), and vm_instructions().

int starting

Definition at line 256 of file app_voicemail.c.

Referenced by advanced_options(), play_message(), vm_execmain(), and vm_instructions().

char username[80]

Definition at line 245 of file app_voicemail.c.

Referenced by close_mailbox(), open_mailbox(), vm_execmain(), vm_newuser(), vm_options(), and vm_tempgreeting().

char vmbox[PATH_MAX]

Definition at line 247 of file app_voicemail.c.

Referenced by open_mailbox(), vm_browse_messages_gr(), vm_execmain(), and vm_instructions().

The documentation for this struct was generated from the following file:

- app_voicemail.c